BT

Nouveau Early adopter ou innovator ? InfoQ a travaillé sur de nouvelles fonctionnalités pour vous. En savoir plus

jQuery ne supportera plus IE 6 et IE 7 à partir de la v1.13

| par Dennis Wilson , traduit par Simon Courtois le 16 mai 2014. Durée de lecture estimée: 2 minutes |

Dave Methvin, Président de la jQuery Foundation, a indiqué sur le blog officiel que jQuery abandonnerait le support d'Internet Explorer 6 et Internet Explorer 7 en 2015.

Methvin a souhaité annoncer les changements de support des navigateurs à l'avance en raison de l'arrêt du support de Windows XP par Microsoft.

Ce changement ira de pair avec la publication de jQuery 1.13. La version 1.12 sera la dernière supportant ces versions du navigateur de Microsoft.

Le projet n'accepte plus de demandes de fonctionnalités ou de corrections de bugs pour la version 1.12. Seuls les problèmes importants liés à IE 6/7 seront corrigés dans de futures versions de patch. Il en va de même pour Opera 12.1x et Safari 5.1.

La version 1.13 supportera uniquement IE 8 et supérieurs. Cette décision va permettre la suppression de tous les patchs et contournements liés aux anciennes versions d'Internet Explorer. Le blog officiel de jQuery indique que ces suppressions "auront pour but de simplifier le code".

Lorsque l'on parle de la définition du support, Methvin fait référence aux politiques de test du projet jQuery.

En considérant qu'un "code non testé est un code cassé", la core team jQuery ne préfère annoncer le support complet d'un navigateur que si le projet est régulièrement testé avec celui-ci.

[...]

Nous ne pouvons assurer un support de qualité que sur les navigateurs et environnements sur lesquels nous passons régulièrement des tests unitaires. Nous essaierons cependant de fournir un support raisonnable des navigateurs sur les environnements les plus populaires. Notre priorité est d'assurer que le navigateur ne remonte pas d'erreurs. La conservation du comportement de l'API sur les navigateurs anciens ou rares aura une priorité très basse.

jQuery est l'une des bibliothèques de compatibilité et d'abstraction les plus populaires sur Internet. En raison de son importante propagation dans le milieu des années 2000, c'est pratiquement devenu un standard pour les développeurs web. À cause de politiques ou d'applications internes, de nombreuses organisations et entreprises du monde entier conservent les versions d'Internet Explorer précédemment évoquées.

La communauté des développeurs semble approuver la décision du projet jQuery. Les tweets comme "@jquery finally! No more IE6 and IE7 support!" (@bythegram) ne sont pas rares. Certains espèrent également voir IE 8 abandonné rapidement, c'est d'ailleurs ce qu'indique T.J. Crowder dans son commentaire sur l'annonce de jQuery :

J'aurais dû vous faire confiance. Bien joué !

Peut-être pourrons-nous faire nos adieux à IE8 l'an prochain, ou l'année d'après. Peut-être.

Evaluer cet article

Pertinence
Style

Bonjour étranger!

Vous devez créer un compte InfoQ ou cliquez sur pour déposer des commentaires. Mais il y a bien d'autres avantages à s'enregistrer.

Tirez le meilleur d'InfoQ

Donnez-nous votre avis

Html autorisé: a,b,br,blockquote,i,li,pre,u,ul,p

M'envoyer un email pour toute réponse à l'un de mes messages dans ce sujet
Commentaires de la Communauté

Html autorisé: a,b,br,blockquote,i,li,pre,u,ul,p

M'envoyer un email pour toute réponse à l'un de mes messages dans ce sujet

Html autorisé: a,b,br,blockquote,i,li,pre,u,ul,p

M'envoyer un email pour toute réponse à l'un de mes messages dans ce sujet

Discuter

Se connecter à InfoQ pour interagir sur ce qui vous importe le plus.


Récupérer votre mot de passe

Follow

Suivre vos sujets et éditeurs favoris

Bref aperçu des points saillants de lindustrie et sur le site.

Like

More signal, less noise

Créez votre propre flux en choisissant les sujets que vous souhaitez lire et les éditeurs dont vous désirez suivre les nouvelles.

Notifications

Restez à jour

Paramétrez vos notifications et ne ratez pas le contenu qui vous importe

BT